textures/firstcontact/test3
{
qer_editorimage textures/firstcontact/fog_white.jpg
qer_nocarve
surfaceparm   trans
surfaceparm   nonsolid
surfaceparm   fog
surfaceparm   nolightmap
fogparms ( 0.8 0.2 0.2 ) 1536
}

models/mapobjects/firstcontact/fern_leaf
{
	cull disable
	nopicmip
	surfaceparm alphashadow
	{
		map models/mapobjects/firstcontact/fern_leaf.tga
		alphaFunc GE128
		depthWrite
		
	}
}

textures/firstcontact/shaderlab_terrain_sky_s
{
	qer_editorimage textures/firstcontact/shaderlab_terrain_sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 140 230 60 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 90 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/firstcontact/shaderlab_terrain_env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/firstcontact/shaderlab_terrain_sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/firstcontact/shaderlab_terrain_sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/firstcontact/water
{
	qer_editorimage textures/firstcontact/water.jpg
	qer_trans .5
	q3map_lightimage textures/firstcontact/water.jpg
//	q3map_surfacelight 50
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/firstcontact/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/firstcontact/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/arachnid2/e6horzlight_s_nolight
{
	qer_editorimage textures/firstcontact/e6horzlight.jpg
	//q3map_surfacelight ?
	surfaceparm nomarks
	
	{
		map textures/firstcontact/e6horzlight.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/firstcontact/e6horzlight_blend.jpg
		blendfunc add
	}
}

models/mapobjects/firstcontact/palm_leaf
{
	cull disable
	nopicmip
	surfaceparm alphashadow
	{
		map models/mapobjects/firstcontact/palm_leaf.tga
		alphaFunc GE128
		depthWrite
		
	}
}